Class | TkValidateCommand::ValidateArgs
In: | tk/lib/tk/validation.rb
Parent: | TkUtil::CallbackSubst

### Methods

ret_val

### Constants

KEY_TBL | = | [ [ ?d, ?n, :action ], [ ?i, ?x, :index ], [ ?s, ?e, :current ], [ ?v, ?s, :type ], [ ?P, ?e, :value ], [ ?S, ?e, :string ], [ ?V, ?s, :triggered ], [ ?W, ?w, :widget ], nil
PROC_TBL | = | [ [ ?n, TkComm.method(:number) ], [ ?s, TkComm.method(:string) ], [ ?w, TkComm.method(:window) ], [ ?e, proc{|val| #enc = Tk.encoding enc = ((Tk.encoding)? Tk.encoding : Tk.encoding_system)

### Public Class methods

ret_val(val)

def self._get_extra_args_tbl

      # return an array of convert procs
      []

end

[Source]

    # File tk/lib/tk/validation.rb, line 264
        def self.ret_val(val)
          (val)? '1': '0'
        end

[Validate]